For the complete documentation index, see llms.txt. This page is also available as Markdown.

Individuals

Search individuals

get

Returns up to limit individuals ordered by ORCID first, then how many profile fields are populated, then label. Optionally filtered by query. Search matches label, first and last name, alternate label, description, and ORCID,

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
limitintegerOptional

Maximum rows to return (clamped between 1 and 100, default 25).

querystringOptional

Case-insensitive substring filter across name, ORCID, and related text fields.

Responses
200Success
application/json
get/api/individuals/
GET /api/individuals/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "data": [
    {
      "id": 1,
      "label": "text",
      "fname": "text",
      "lname": "text",
      "alt_label": "text",
      "description": "text",
      "address": "text",
      "email": "text",
      "phone": "text",
      "fax": "text",
      "individual_uri": "text",
      "institutions": [
        {
          "id": 1,
          "institution_type": "text",
          "label": "text",
          "alt_label": "text",
          "description": "text",
          "country": "text",
          "country_subdivision": "text",
          "city": "text",
          "ror": "text",
          "parent_institutions": "text",
          "can_edit": "text",
          "created_by": 1
        }
      ],
      "institution_detail": "text",
      "country": "text",
      "can_edit": "text"
    }
  ]
}

Create individual

post

Creates a new individual record for linking to a sample, for example a collector.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Body
labelstring · max: 200 · nullableOptional
fnamestring · max: 100 · nullableOptional
lnamestring · max: 100 · nullableOptional
alt_labelstring · max: 100 · nullableOptional
descriptionstring · nullableOptional
addressstring · max: 500 · nullableOptional
emailstring · max: 255 · nullableOptional
phonestring · max: 255 · nullableOptional
faxstring · max: 255 · nullableOptional
individual_uristring · max: 255 · nullableOptional
countrystring · nullableOptional
institution_detailstring · max: 255 · nullableOptional
institutionsinteger[]Optional
Responses
201Success
application/json
post/api/individuals/
POST /api/individuals/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "label": "text",
  "fname": "text",
  "lname": "text",
  "alt_label": "text",
  "description": "text",
  "address": "text",
  "email": "text",
  "phone": "text",
  "fax": "text",
  "individual_uri": "text",
  "country": "text",
  "institution_detail": "text",
  "institutions": [
    1
  ]
}
201Success
{
  "data": {
    "id": 1,
    "label": "text",
    "fname": "text",
    "lname": "text",
    "alt_label": "text",
    "description": "text",
    "address": "text",
    "email": "text",
    "phone": "text",
    "fax": "text",
    "individual_uri": "text",
    "institutions": [
      {
        "id": 1,
        "institution_type": "text",
        "label": "text",
        "alt_label": "text",
        "description": "text",
        "country": "text",
        "country_subdivision": "text",
        "city": "text",
        "ror": "text",
        "parent_institutions": "text",
        "can_edit": "text",
        "created_by": 1
      }
    ],
    "institution_detail": "text",
    "country": "text",
    "can_edit": "text"
  }
}

Last updated

Was this helpful?